Package org.apache.sysds.runtime.io.cog

# Enum Class SampleFormatDataTypes

java.lang.Object
java.lang.Enum<SampleFormatDataTypes>
org.apache.sysds.runtime.io.cog.SampleFormatDataTypes

All Implemented Interfaces:
  `Serializable`, `Comparable<SampleFormatDataTypes>`, `Constable`

public enum SampleFormatDataTypes extends Enum<SampleFormatDataTypes>
Enum for mapping sample formats of TIFF image data to names

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FLOATING_POINT`
`SIGNED_INTEGER`
`UNDEFINED`
`UNSIGNED_INTEGER`

## Method Summary

Modifier and Type
Method
Description
`int`
`getValue()`
`static SampleFormatDataTypes`
`valueOf(int value)`
Returns the enum constant of this class with the specified name.
`static SampleFormatDataTypes`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SampleFormatDataTypes[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNSIGNED_INTEGER

public static final SampleFormatDataTypes UNSIGNED_INTEGER

### SIGNED_INTEGER

public static final SampleFormatDataTypes SIGNED_INTEGER

### FLOATING_POINT

public static final SampleFormatDataTypes FLOATING_POINT

### UNDEFINED

public static final SampleFormatDataTypes UNDEFINED

## Method Details

### values

public static SampleFormatDataTypes[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SampleFormatDataTypes valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public int getValue()

### valueOf

public static SampleFormatDataTypes valueOf(int value)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null